#ifndef CRYPT_UTIL_H
#define CRYPT_UTIL_H

#ifdef __cplusplus
extern "C" {
#endif

void setup_salt(char *s);

void mk_keytab(char *key);

#ifdef DEBUG
void pr_bits(unsigned long *a, unsigned long n);
#endif

char *output_conversion(unsigned long l1,unsigned long l2,
			unsigned long r1,unsigned long r2, char *salt);

#ifdef __cplusplus
}
#endif

#endif
